<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PREPARARUBICACION#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'].';';

/////////////// Preparacion de parametros

$parametros=$_SESSION['lineaOrden']['Codigo'];
$parametros.=';'.$_SESSION['lineaOrden']['Ubicacion'];
$parametros.=';'.$_SESSION['lineaOrden']['Contenedor'];

// SGAPreparar#EB#ALM#PREPARARUBICACION#1;EB;P17000001;EB09.001;-;-;-;-;-;001/16-288;-;-;-;-;12;

$datos=arreglaArrayPXMobileProxiumResult($_SESSION['lineaOrden']['Datos']);
		
foreach($_SESSION['comportamientosGlobales'] as $comportamiento) {
	$valor='-';
	foreach($datos as $dato) if($dato['Codigo']==$comportamiento['Codigo']) { $valor=$dato['Valor']; break; }
	$parametros.=';'.$valor;
}
					
$parametros.=';'.$_SESSION['lineaOrden']['NumeroEntrada'];
$parametros.=';'.$_SESSION['lineaOrden']['LineaEntrada'];

///////////////

$peticion.=$parametros;

$peticion.=';'.$_POST['cantidad'].';'.$_POST['contenedor'].';'.$_POST['lote'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

echo($resultado[0]['Error'])."#".$peticion;

?>